// file: $USFS/class/image_eval/v1.0/imgev_err_0.cc
//

// isip include files
//
#include "image_eval.h"

#include <integral_constants.h>
#include "image_eval_constants.h"

// method: error_handler_cc
//
// arguments:
//  char_1* method_a: (input) method name in which the error occurred
//  char_1* msg_a: (input) message to be printed
//
// return:
//  logical_1 to indicate status
//
// This method displays an error message.
//
//
logical_1 Image_eval::error_handler_cc(char_1* method_a, char_1* msg_a) {

  // display a message
  //
  if (method_a != (char_1*)NULL) {

    // check for no message
    //
    if (msg_a != (char_1*)NULL) {
      fprintf(stdout, "<%s::%s>: %s\n", IMAGE_EVAL_CLASS_NAME, method_a, msg_a);
    }
    else {
      fprintf(stdout, "<%s::%s>: error\n", IMAGE_EVAL_CLASS_NAME, method_a);
    }
  }

  // determine whether to exit or not
  //
  exit_handler_cc();
  
  // exit gracefully
  //
  return ISIP_TRUE;
}


